summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-12 17:39:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 17:39:35 +0200
commit20570b229b44a92830b18252c9b39c22d8606af8 (patch)
tree0a0d20af931c2f3977e5c9ee7b9732cbf400b93a
parent400e5bad16c21abd13a4998a6b832ab42459819f (diff)
downloadslackbuilds-20570b229b44a92830b18252c9b39c22d8606af8.tar.gz
slackbuilds-20570b229b44a92830b18252c9b39c22d8606af8.tar.xz
games/spring: Updated for version 0.78.2.1
-rw-r--r--games/spring/doinst.sh1
-rw-r--r--games/spring/spring.SlackBuild8
-rw-r--r--games/spring/spring.info6
3 files changed, 9 insertions, 6 deletions
diff --git a/games/spring/doinst.sh b/games/spring/doinst.sh
index 3857649f50..24e4bc11e0 100644
--- a/games/spring/doinst.sh
+++ b/games/spring/doinst.sh
@@ -1,3 +1,4 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
fi
+
diff --git a/games/spring/spring.SlackBuild b/games/spring/spring.SlackBuild
index ed52c610d9..274b74d1cb 100644
--- a/games/spring/spring.SlackBuild
+++ b/games/spring/spring.SlackBuild
@@ -1,10 +1,10 @@
-#!/bin/sh -eu
+#!/bin/sh
# Slackware build script for Spring
# Written by Erik Hanson erik@slackbuilds.org
PRGNAM=spring
-VERSION=0.77b5
+VERSION=0.78.2.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -14,11 +14,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -eu
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf ${PRGNAM}_${VERSION}
-tar xvf $CWD/${PRGNAM}_${VERSION}-${PRGNAM}_${VERSION}_src.tar.bz2
+tar xvf $CWD/${PRGNAM}_${VERSION}_src.tar.gz
cd ${PRGNAM}_${VERSION}
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
diff --git a/games/spring/spring.info b/games/spring/spring.info
index 3370d79670..a6c960bc36 100644
--- a/games/spring/spring.info
+++ b/games/spring/spring.info
@@ -1,8 +1,8 @@
PRGNAM="spring"
-VERSION="0.77b5"
+VERSION="0.78.2.1"
HOMEPAGE="http://springrts.com"
-DOWNLOAD="http://planetspring.free.fr/spring/src/spring_0.77b5-spring_0.77b5_src.tar.bz2"
-MD5SUM="1a8c5092a9523f173548c0ca26916dfd"
+DOWNLOAD="http://spring.clan-sy.com/dl/spring_0.78.2.1_src.tar.gz"
+MD5SUM="8f3dd6c79b254fde9c1b6643eca97729"
MAINTAINER="Erik Hanson"
EMAIL="erik@slackbuilds.org"
APPROVED="rworkman"